org.apache.ivy.ant

## Class IvyDeliver

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyDeliver

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyDeliver
    extends IvyTask

Trigger the delivery of a module, which may consist in a recursive delivery of dependencies and on the replacement in the ivy file of dynamic revisions (like latest.integration) by static ones.

### Field Summary

### Fields inherited from class org.apache.ivy.ant.IvyTask

`ANT_PROJECT_CONTEXT_KEY`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyDeliver()`

### Method Summary

Methods
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` `getConf()`
`java.lang.String` `getDeliverpattern()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`java.lang.String` `getPubbranch()`
`java.lang.String` `getPubdate()`
`java.lang.String` `getPubrevision()`
`java.lang.String` `getResolveId()`
`java.lang.String` `getRevision()`
`java.lang.String` `getStatus()`
`boolean` `isGenerateRevConstraint()`
`boolean` `isMerge()`
`boolean` `isReplacedynamicrev()`
`boolean` `isReplaceForcedRev()`
`void` `setCache(java.io.File cache)`
`void` `setConf(java.lang.String confs)`
`void` `setDeliverpattern(java.lang.String destivypattern)`
`void` `setDelivertarget(java.lang.String deliverTarget)`
`void` `setDeliveryList(java.io.File deliveryList)`
`void` `setGenerateRevConstraint(boolean generateRevConstraint)`
`void` `setMerge(boolean merge)`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setPubbranch(java.lang.String pubBranch)`
`void` `setPubdate(java.lang.String pubdate)`
`void` `setPubrevision(java.lang.String pubRevision)`
`void` `setReplacedynamicrev(boolean replacedynamicrev)`
`void` `setReplaceForcedRev(boolean replaceForcedRev)`
`void` `setResolveId(java.lang.String resolveId)`
`void` `setRevision(java.lang.String revision)`
`void` `setStatus(java.lang.String status)`

### Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyDeliver

    public IvyDeliver()

### Method Detail

#### setCache

    public void setCache(java.io.File cache)

#### getDeliverpattern

    public java.lang.String getDeliverpattern()

#### setDeliverpattern

    public void setDeliverpattern(java.lang.String destivypattern)

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrganisation

    public java.lang.String getOrganisation()

#### setOrganisation

    public void setOrganisation(java.lang.String organisation)

#### getPubdate

    public java.lang.String getPubdate()

#### setPubdate

    public void setPubdate(java.lang.String pubdate)

#### getPubrevision

    public java.lang.String getPubrevision()

#### setPubrevision

    public void setPubrevision(java.lang.String pubRevision)

#### getPubbranch

    public java.lang.String getPubbranch()

#### setPubbranch

    public void setPubbranch(java.lang.String pubBranch)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision(java.lang.String revision)

#### getStatus

    public java.lang.String getStatus()

#### setStatus

    public void setStatus(java.lang.String status)

#### setDelivertarget

    public void setDelivertarget(java.lang.String deliverTarget)

#### setDeliveryList

    public void setDeliveryList(java.io.File deliveryList)

#### isReplacedynamicrev

    public boolean isReplacedynamicrev()

#### setReplacedynamicrev

    public void setReplacedynamicrev(boolean replacedynamicrev)

#### isReplaceForcedRev

    public boolean isReplaceForcedRev()

#### setReplaceForcedRev

    public void setReplaceForcedRev(boolean replaceForcedRev)

#### getResolveId

    public java.lang.String getResolveId()

#### setResolveId

    public void setResolveId(java.lang.String resolveId)

#### getConf

    public java.lang.String getConf()

#### setConf

    public void setConf(java.lang.String confs)

#### isGenerateRevConstraint

    public boolean isGenerateRevConstraint()

#### setGenerateRevConstraint

    public void setGenerateRevConstraint(boolean generateRevConstraint)

#### isMerge

    public boolean isMerge()

#### setMerge

    public void setMerge(boolean merge)

#### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

Description copied from class: `IvyTask`
The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

Specified by:
  `doExecute` in class `IvyTask`
Throws:
  `org.apache.tools.ant.BuildException`